Get Blocklist Entries
curl --request GET \
--url https://api.zbdpay.com/api/v1/rewards/app/{rewardsAppId}/api-version-blocklist \
--header 'Authorization: <authorization>' \
--header 'z-client: <z-client>'import requests
url = "https://api.zbdpay.com/api/v1/rewards/app/{rewardsAppId}/api-version-blocklist"
headers = {
"z-client": "<z-client>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'z-client': '<z-client>', Authorization: '<authorization>'}
};
fetch('https://api.zbdpay.com/api/v1/rewards/app/{rewardsAppId}/api-version-blocklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success.",
"data": [
{
"id": "bb6178d1-4fb5-4b35-93d6-31fe052b73dd",
"rewardsAppId": "b28e0306-2c06-4092-8d56-a1623d6b97fb",
"version": 1,
"apiRoute": "/earn/limited-achievement/reward",
"createdAt": "2025-10-30T22:56:28.666Z"
}
]
}
Blocklist
Get Blocklist Entries
Retrieve all API version blocklist entries for your Rewards App
GET
/
api
/
v1
/
rewards
/
app
/
{rewardsAppId}
/
api-version-blocklist
Get Blocklist Entries
Retrieve all blocklist entries for your Rewards App to see which API routes are currently restricted for client-side calls.
Configuration
Header Parameters
string
required
Client identifier (use
“developer-dashboard” )string
required
Bearer token for authenticationFormat:
Bearer {JWT_TOKEN}number
Filter by API version (optional)Example:
1string
Filter by API route (optional)Example:
/earn/limited-achievement/rewardPath Parameters
string
required
Your Rewards App ID
{
"success": true,
"message": "Success.",
"data": [
{
"id": "bb6178d1-4fb5-4b35-93d6-31fe052b73dd",
"rewardsAppId": "b28e0306-2c06-4092-8d56-a1623d6b97fb",
"version": 1,
"apiRoute": "/earn/limited-achievement/reward",
"createdAt": "2025-10-30T22:56:28.666Z"
}
]
}
Response Status Codes
| Code | Description |
|---|---|
200 | Blocklist entries retrieved successfully |
401 | Unauthorized - authentication required |
403 | Forbidden - developer does not own this app |
500 | Internal server error |
{
"success": false,
"message": "Authentication required"
}
{
"success": false,
"message": "Developer does not own this app"
}
{
"success": false,
"message": "Internal server error"
}
Response Fields
| Field | Type | Description |
|---|---|---|
success | boolean | Whether the request was successful |
message | string | Response message |
data | array | Array of blocklist entries |
id | string | Unique identifier for the blocklist entry |
rewardsAppId | string | Your Rewards App ID |
version | number | Blocked API version |
apiRoute | string | Blocked API route |
createdAt | string | ISO 8601 timestamp of when entry was created |
Code Examples
const rewardsAppId = 'YOUR_REWARDS_APP_ID';
const jwtToken = 'YOUR_JWT_TOKEN';
async function getBlocklistEntries(rewardsAppId) {
const response = await fetch(
`https://api.zbdpay.com/api/v1/rewards/app/${rewardsAppId}/api-version-blocklist`,
{
method: 'GET',
headers: {
'z-client': 'developer-dashboard',
'Authorization': `Bearer ${jwtToken}`,
'version': '1',
'apiRoute': '/earn/limited-achievement/reward'
}
}
);
const data = await response.json();
if (data.success) {
console.log(`Found ${data.data.length} blocklist entries`);
data.data.forEach(entry => {
console.log(`- Route: ${entry.apiRoute}, Version: ${entry.version}`);
});
return data.data;
} else {
throw new Error(`Failed: ${data.message}`);
}
}
// Get all entries
const entries = await getBlocklistEntries('b28e0306-2c06-4092-8d56-a1623d6b97fb');
curl --location 'https://api.zbdpay.com/api/v1/rewards/app/b28e0306-2c06-4092-8d56-a1623d6b97fb/api-version-blocklist' \
--header 'z-client: developer-dashboard' \
--header 'version: 1' \
--header 'apiRoute: /earn/limited-achievement/reward' \
--header 'Authorization: Bearer {JWT_TOKEN}'
import requests
import os
jwt_token = os.getenv('JWT_TOKEN')
rewards_app_id = "YOUR_REWARDS_APP_ID"
def get_blocklist_entries(rewards_app_id):
"""Get all blocklist entries for a Rewards App"""
url = f"https://api.zbdpay.com/api/v1/rewards/app/{rewards_app_id}/api-version-blocklist"
headers = {
"z-client": "developer-dashboard",
"Authorization": f"Bearer {jwt_token}",
"version": "1",
"apiRoute": "/earn/limited-achievement/reward"
}
response = requests.get(url, headers=headers)
data = response.json()
if data["success"]:
print(f"Found {len(data['data'])} blocklist entries")
for entry in data["data"]:
print(f"- Route: {entry['apiRoute']}, Version: {entry['version']}")
return data["data"]
else:
raise Exception(f"Failed: {data['message']}")
# Get entries
entries = get_blocklist_entries("b28e0306-2c06-4092-8d56-a1623d6b97fb")
Empty Response. If
data is an empty array [], it means no blocklist entries exist and client-side reward sending is currently enabled.Try It Out
Ready to view your blocklist entries? Use our API playground on the right to test with your JWT token.What’s Next?
After viewing your blocklist entries:- Delete Blocklist Entry. Remove a restriction to re-enable client-side rewards.
- Restrict Client-Side Rewards. Create a new blocklist entry.
Was this page helpful?
⌘I